<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: authentication Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>authentication Class Reference</h1><!-- doxytag: class="authentication" --><div class="dynheader">
Inheritance diagram for authentication:</div>
<div class="dynsection">
 <div class="center">
  <img src="classauthentication.gif" usemap="#authentication_map" alt=""/>
  <map id="authentication_map" name="authentication_map">
<area href="classdokeos.html" alt="dokeos" shape="rect" coords="0,56,90,80"/>
<area href="classldap.html" alt="ldap" shape="rect" coords="100,56,190,80"/>
<area href="classsession.html" alt="session" shape="rect" coords="200,56,290,80"/>
<area href="classcas.html" alt="cas" shape="rect" coords="100,112,190,136"/>
</map>
 </div>
</div>

<p><a href="classauthentication-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classauthentication.html#a51c7d39de8520fa7d41e5e8e762f7ed2">__construct</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classauthentication.html#af94c0b076454f73ea61cb7e73bcd620b">get_login</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classauthentication.html#a5381527ddfcb99a4656ee5de9b3b5b53">get_session_value</a> ($field)</td></tr>
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classauthentication.html#a4d04f05b5fc4f400f0447fccc883f4ba">$session_field</a> = &quot;&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classauthentication.html#a5c18040912432cb2cf20096742e65176">$login_field</a> = &quot;&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classauthentication.html#af9395989cd4a83d8cad5d2aaf981a4ec">$method</a> = &quot;default&quot;</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>This is a generic class to authenticate an user. This class must not be call directly... maybe an interface would have been better.</p>
<p>author: Christophe Lefevre - <a href="mailto:christophe.lefevre@u-psud.fr">christophe.lefevre@u-psud.fr</a> date: 16-01-2009 </p>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a51c7d39de8520fa7d41e5e8e762f7ed2"></a><!-- doxytag: member="authentication::__construct" ref="a51c7d39de8520fa7d41e5e8e762f7ed2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">authentication::__construct </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Default contructor, must be called in subclass constructor to initialize common variables</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

<p>Reimplemented in <a class="el" href="classcas.html#aa028961b8b60535c127f7e57bfa437ba">cas</a>, <a class="el" href="classdokeos.html#a653f0f5d3695546c611f60d7b943c354">dokeos</a>, <a class="el" href="classldap.html#a0f722166dd03a38451c6921e6a21d7f6">ldap</a>, and <a class="el" href="classsession.html#a3ed9c9250d95d158bbd8d2ddce408198">session</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af94c0b076454f73ea61cb7e73bcd620b"></a><!-- doxytag: member="authentication::get_login" ref="af94c0b076454f73ea61cb7e73bcd620b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">authentication::get_login </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Default get_login method. Just return account_session_field value</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>string session_field value </dd></dl>

<p>Reimplemented in <a class="el" href="classdokeos.html#a8d7f2c8f1814648c146cbf072ea42bfe">dokeos</a>, <a class="el" href="classldap.html#ad0a304db04edabe8cf55efb816ba4a7d">ldap</a>, and <a class="el" href="classsession.html#a66852c9d7abe12333d723f0aa11cab14">session</a>.</p>

</div>
</div>
<a class="anchor" id="a5381527ddfcb99a4656ee5de9b3b5b53"></a><!-- doxytag: member="authentication::get_session_value" ref="a5381527ddfcb99a4656ee5de9b3b5b53" args="($field)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">authentication::get_session_value </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>field</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method try to find SESSION value with field parameter</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>field</em>&nbsp;</td><td>mixed value to find into SESSION variable</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>mixed value of SESSION field if found, empty if not </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a5c18040912432cb2cf20096742e65176"></a><!-- doxytag: member="authentication::$login_field" ref="a5c18040912432cb2cf20096742e65176" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">authentication::$login_field = &quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af9395989cd4a83d8cad5d2aaf981a4ec"></a><!-- doxytag: member="authentication::$method" ref="af9395989cd4a83d8cad5d2aaf981a4ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">authentication::$method = &quot;default&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4d04f05b5fc4f400f0447fccc883f4ba"></a><!-- doxytag: member="authentication::$session_field" ref="a4d04f05b5fc4f400f0447fccc883f4ba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">authentication::$session_field = &quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>store some common variables </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/<a class="el" href="authentication_8inc_8php.html">authentication.inc.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
